#
# spec file for package gjdoc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define gccsuffix   %(rpm -q --qf "%%{VERSION}" gcc-java | sed 's#\.##g')
%define gccbinsuffix %(rpm -q --qf "-%%{VERSION}" gcc-java)
Name:           gjdoc
Version:        0.7.9
Release:        lp150.2.23
Summary:        GNU Javadoc
License:        GPL
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Tools
Url:            http://savannah.gnu.org/projects/classpath/
Source0:        ftp://ftp.gnu.org/gnu/classpath/gjdoc-%{version}.tar.gz
Patch0:         %{name}-fix-control-z.patch
Patch1:         %{name}-gij_java.patch
BuildRequires:  antlr
BuildRequires:  gcc-gij
BuildRequires:  gcc-java
Requires:       antlr
BuildArch:      noarch

%description
A documentation generation system for "javadoc"-style comments.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --disable-native JAR=gjar%{gccbinsuffix} JAVA=gij%{gccbinsuffix}
make %{?_smp_mflags}

%install

%make_install

pushd %{buildroot}%{_javadir}
ln -sf com-sun-javadoc-%{version}.jar \
 %{buildroot}%{_javadir}/com-sun-javadoc.jar
ln -sf com-sun-tools-doclets-Taglet-%{version}.jar \
 %{buildroot}%{_javadir}/com-sun-tools-doclets-Taglet.jar
ln -sf gnu-classpath-tools-gjdoc-%{version}.jar \
 %{buildroot}%{_javadir}/gnu-classpath-tools-gjdoc.jar
popd

if [ -e %{buildroot}%{_infodir}/dir ]
then
  rm -rf %{buildroot}%{_infodir}/dir
fi
find %{buildroot} -type f -name "*.la" -delete -print

%files
%{_bindir}/gjdoc
%{_javadir}/com-sun-javadoc*.jar
%{_javadir}/com-sun-tools-doclets-Taglet*.jar
%{_javadir}/gnu-classpath-tools-gjdoc*.jar
%{_infodir}/gjdoc.info%{ext_info}
%{_mandir}/man1/gjdoc.1%{ext_man}
%doc README

%changelog
* Fri Jan 26 2018 fstrba@suse.com
- Double escape the %%%%{VERSION} to be able to build with recent
  rpm versions.
* Mon Oct  9 2017 fstrba@suse.com
- Intial package of the old good gjdoc
